cURL
curl --request PUT \
--url https://aodocs.altirnao.com/api/driveImport/v1/imports/batch/folders/{parentFolderId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://aodocs.altirnao.com/api/driveImport/v1/imports/batch/folders/{parentFolderId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.put(url, headers=headers)
print(response.text)const options = {method: 'PUT', headers: {Authorization: 'Bearer <token>'}};
fetch('https://aodocs.altirnao.com/api/driveImport/v1/imports/batch/folders/{parentFolderId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobId": "<string>",
"kind": "<string>"
}driveImport
Put driveimportv1importsbatchfolders
Imports several files in a folder managed by AODocs.
PUT
/
driveImport
/
v1
/
imports
/
batch
/
folders
/
{parentFolderId}
cURL
Authorizations
google_id_token-a99f12e0google_id_token_legacy-a99f12e0
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The ID of the folder to import the file(s) in
Query Parameters
The list of files (by ID) to import
The ID of the document class that is used during the import.
The ID of the document template to use at import
The security code
The G Suite domain
⌘I